$(document).ready(function () {

    $(document).ajaxSend(function () {
        $("#loading").show();
        /*$("#overlay-content").show();
         $("#loading-blocks").show();*/
    }).ajaxComplete(function () {
        $("#loading").hide();
        /*$("#overlay-content").hide();
         $("#loading-blocks").hide();*/
    });

    $('.btn').on('click', function () {
        var color = $(this).find('input').attr('id');
        $('body').attr('class', color);
    });

    $("#search_tab a").click(function (e) {
        e.preventDefault();
        $(this).tab('show');
    });

    $("#hot_tabs_link a").click(function (e) {
        e.preventDefault();
        $(this).tab('show');
        //mSlinkyInit();
    });

    // $(".mobilemenu .chevrond").click(function () {
    //     $(this).siblings(".collapsible").toggle();
    //     $(this).toggleClass("hided");
    //     $(this).parent().next().toggleClass("in");
    // });
    $.fn.clickToggle = function (func1, func2) {
        var funcs = [func1, func2];
        this.data('toggleclicked', 0);
        this.click(function () {
            var data = $(this).data();
            var tc = data.toggleclicked;
            $.proxy(funcs[tc], this)();
            data.toggleclicked = (tc + 1) % 2;
        });
        return this;
    };

    $(".slinky").slinky();
// side nav
    $(function () {
        var menuToggle = $('.mobile-button .btn-main-menu');
        var menuToggle2 = $('.mobile-button .btn-search');
        var sideNavOverlay = $('.side-nav-overlay');

        menuToggle2.on('click', function (e) {
            e.preventDefault();
            $('html').toggleClass('filter-open');
        });

        menuToggle.on('click', function (e) {
            e.preventDefault();
            $('html').toggleClass('nav-open');

            //   fixScroll.onOpen();
        });
        $('.close_btn_slide').on('click', function () {
            $('html').removeClass('nav-open');
            $('html').removeClass('filter-open');
        });
        sideNavOverlay.on('click', function () {
            $('html').removeClass('filter-open');
            $('html').removeClass('nav-open');

            //   fixScroll.onClose();
        });
    });
});
